1. Wallet
BPN OpenAPI
  • Getting Started
    • Introduction to BPN
    • Key Concepts & Terminology
    • Architecture Overview
  • Onboarding & Prerequisites
    • Product Demo
    • Sandbox & Test Environment
    • Signature Authentication Mechanism
  • Use Case
    • Transfer
    • Vault
    • On/Off Ramp
    • Compliance (Travel Rule Information Submission)
    • Fiat Collection(BRL PIX for example)
  • API Reference
    • Account Management
      • Inquiry Master VA Balance
      • Create Virtaul Account
      • Get Virtual Account Detail
      • List Virtual Account
      • Send Email Verify Code
      • Query bank info by account number
      • Payout via Virtual Account
      • Refund Virtual Account Order
      • Get Virtual Account Order Detail
      • List Virtual Account Orders
      • Submit Invoice
      • Get Invoice list Status
      • List Banks
      • Add Bank Account
      • List Bank Account
      • List RFI Sub Virtual Account
      • Get Sub Virtual Account RFI Template Info
      • Sub Virtual Account Submit RFI
    • Wallet
      • List Wallets
        GET
      • List Sub Account
        GET
      • Create Sub Account
        POST
      • Wallet Internal Transfer
        POST
      • Get Asset Balance
        GET
      • Get Deposit Address
        GET
      • Add Deposit Sender
        POST
      • Add Withdraw Whitelist
        POST
      • Delete Withdraw Whiltelist
        POST
      • Request Withdraw
        POST
      • Query Transaction History
        GET
    • FX
      • Inquery FX Rate
    • BPN Transactions
      • Get Stablecoin Quote
      • Create Stable Order
      • Get Order (Single) Detail
      • List Orders(Batch)
    • Reconciliation
      • Get Reconciliation Order List By Page
    • Crypto Payment Link
      • Abnormal fund
        • Abnormal funds
        • Matchable Payment links
        • Link Order(Abnormal fund)
        • Submit to platform
      • Create Payment Link
      • List Payment links
      • Get Curreny Network Config
    • External Provider
      • FE: Create stablecoin collection sub-account link
      • Create stablecoin collection sub-account link
      • Get sub wallet account
      • List sub wallet accounts
      • Change sub wallet status
      • Query stablecoin collection order list
      • Query stablecoin collection order status
      • Get quote
      • Accept stablecoin collection order
      • Reject stablecoin collection order
      • Query USD balance
      • USD Payout (withdrawal)
      • Query USD Payout order status
      • Query USD Payout order list
    • Mock
      • Mock Virtual account Payin Order
      • Mock wallet deposit transaction
  • Webhooks & Events
    • Resend Fail Webhook
    • Open Virtual Account Status
    • Virtual Account Payment Status
    • Virtual Account Invoice update
    • Transaction Status Notification
    • KYB Status Notification
    • Deposit Sender Detail Required
    • Abnormal Fund Notification
    • wallet address whitelist
    • Sub Virtual Account RFI Required
    • Sub Wallet Update
    • Crypto Deposit Order Notification
    • Collect Order Updated
    • Usd Payout Order Updated
  • Appendix
    • Enum
    • Virtual Account(VA) Support List & KYB requirement
  • Release Notes & Changelog
    • Version History
  • Schemas
    • walletBalance
    • walletAddress
    • transactionRecord
  1. Wallet

Get Deposit Address

GET
/v1/wallet/deposit-address
Gets the on-chain address for the specified currency and network.
If no network is specified, addresses corresponding to all supported networks are returned.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/wallet/deposit-address?currency&network&walletId'

Responses

🟢200OK
application/json
Body

Example
{
    "status": 200,
    "code": null,
    "msg": "OK",
    "traceId": "Auto:bf288b9af2e04dff88e943f2dcaf2b03",
    "data": [
        {
            "network": "ETH",
            "address": "0x3a1F8C4e2b6C8c9D7fE2B8b5a1d3C9A0bE12F345",
            "memo": "string",
            "arriveTime": "T+1",
            "contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
            "minAmount": 25.111123321
        }
    ]
}
Previous
Get Asset Balance
Next
Add Deposit Sender
Built with